/*
 Theme Name:   Matoma Child
 Description:  Matoma Child Theme
 Author:       Matoma
 Author URI:   http://matoma.de
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/

 /* set Custom Font */
 @font-face {
    font-family: 'ParkAvenue';
    src: url('./fonts/parkavenue-webfont.eot');
    src: url('./fonts/parkavenue-webfont.eot?#iefix') format('embedded-opentype'),
         url('./fonts/parkavenue-webfont.woff2') format('woff2'),
         url('./fonts/parkavenue-webfont.woff') format('woff'),
         url('./fonts/parkavenue-webfont.ttf') format('truetype'),
         url('./fonts/parkavenue-webfont.svg#park_avenueregular') format('svg');
    font-weight: normal;
    font-style: normal;
}

/*Mengenanzeige größer machen*/
.single-product p.price.price-unit.smaller.wc-gzd-additional-info{
	font-size: 16px;
}
/*Shop seite Hintergründe white*/
.woodmart-archive-shop .content-layout-wrapper {
    background-color: white;
    padding-top: 20px;
}

/* Footer-Widget-Title */
//.footer-sidebar.widget-area.row .widget-title{
text-transform: initial;
}


/* Shop Grid Preise anpassung wegen Sternebewertung */
.woodmart-hover-base.has-stars.purchasable .product-rating-price {
	height: 65px;
}

.woodmart-hover-base.has-stars.purchasable .product-rating-price .star-rating, 
.woodmart-hover-base.has-stars.purchasable .product-rating-price .wc-gzd-additional-info, 
.woodmart-hover-base.has-stars.purchasable .product-rating-price .price {
	line-height: 20px;
}

.woodmart-hover-base.has-stars.purchasable:hover .wrapp-product-price {
	-webkit-transform: translateY(-8px);
	transform: translateY(-8px);
}

.wrapp-product-price {
    transform: none;
}

/*Styles aus Theme Options*/
.product-labels {
    display: none;
}
.woocommerce-Reviews .comment-reply-title, .woocommerce-Reviews .woocommerce-Reviews-title {
    text-transform: none;
    font-size: 41px;
}
.woocommerce-Reviews .comment-reply-title, .woocommerce-Reviews .woocommerce-Reviews-title {
    text-transform: none;
    font-size: 41px;
}
h2.woocommerce-Reviews-title,
.woocommerce-Reviews #reply-title {
    text-transform: none;
    font-family: "Lato", Arial, Helvetica, sans-serif;
    font-weight: 400;
    font-size: 12px;
    line-height: 49px;
    color: #f21672;
}

.font-primary, table th, .page-title .entry-title, .masonry-filter li, .widget_rss ul li > a, .wpb-js-composer .vc_tta.vc_general.vc_tta-style-classic.vc_tta-tabs .vc_tta-tab > a, .woodmart-price-table .woodmart-plan-title, .woodmart-empty-compare, .cart-empty, .woodmart-sizeguide-table tr:first-child td, .compare-field, .compare-value::before, .compare-basic .compare-value::before, .woocommerce-column__title, header.title > h3, .tabs-layout-tabs .tabs li, .woodmart-accordion-title, .woodmart-checkout-steps ul, .woocommerce-billing-fields > h3, .woocommerce-shipping-fields > h3, .woocommerce-additional-fields > h3, #ship-to-different-address label, #order_review_heading, .cart-totals-inner h2, .social-login-title, .register-or, .woocommerce-MyAccount-title, .woodmart-products-tabs .tabs-name, .woodmart-products-tabs .products-tabs-title, .wishlist-title h2, #order_payment_heading, h1, h2, h3, h4, h5, h6, .title, legend, .woocommerce-Reviews .comment-reply-title, .menu-mega-dropdown .sub-menu > li > a, .mega-menu-list > li > a {
    font-family: Arial, Helvetica, sans-serif,'MS Sans Serif', Geneva, sans-serif;
}

.font-primary, table th, .page-title .entry-title, .masonry-filter li, .widget_rss ul li > a, .wpb-js-composer .vc_tta.vc_general.vc_tta-style-classic.vc_tta-tabs .vc_tta-tab > a, .woodmart-price-table .woodmart-plan-title, .woodmart-empty-compare, .cart-empty, .woodmart-sizeguide-table tr:first-child td, .compare-field, .compare-value::before, .compare-basic .compare-value::before, .woocommerce-column__title, header.title > h3, .tabs-layout-tabs .tabs li, .woodmart-accordion-title, .woodmart-checkout-steps ul, .woocommerce-billing-fields > h3, .woocommerce-shipping-fields > h3, .woocommerce-additional-fields > h3, #ship-to-different-address label, #order_review_heading, .cart-totals-inner h2, .social-login-title, .register-or, .woocommerce-MyAccount-title, .woodmart-products-tabs .tabs-name, .woodmart-products-tabs .products-tabs-title, .wishlist-title h2, #order_payment_heading, h1, h2, h3, h4, h5, h6, .title, legend, .woocommerce-Reviews .comment-reply-title, .menu-mega-dropdown .sub-menu > li > a, .mega-menu-list > li > a {
    font-family: Arial, Helvetica, sans-serif,'MS Sans Serif', Geneva, sans-serif;
}
.title, .woocommerce-Reviews .comment-reply-title, h1, h2, h3, h4, h5, h6, legend {
    display: block;
    margin-bottom: 20px;
    color: #2d2a2a;
    font-size: 18px;
  
    line-height: 1.4;
    
}

p.price.price-unit.smaller.wc-gzd-additional-info {
        font-size: 14px;
}


#pagebox
{ 
border-top-left-radius: 15px;
border-top-right-radius: 15px;
border-bottom-right-radius: 015px;
border-bottom-left-radius: 15px;

border-left: 4px solid #FFCD00;
border-right: 4px solid #FFCD00;
border-top: 4px solid #FFCD00;
border-bottom: 4px solid #FFCD00;
/*box-shadow: 0 0 20px #FFFFFF;*/
}

.whb-top-bar .whb-text-element {
    font-size: 15px;
    line-height: 1.2;
}
.page-id-57 .site-logo {
    display:none!important;
}

/*Remove Animation on mousover on "Add to cart" button*/
.product-list-item .woodmart-add-btn>a:focus span:not(.woodmart-tooltip-label), .product-list-item .woodmart-add-btn>a:hover span:not(.woodmart-tooltip-label), .woodmart-hover-base:not(.product-in-carousel):not(.hover-width-small):not(.add-small-button) .woodmart-add-btn>a:focus span:not(.woodmart-tooltip-label), .woodmart-hover-base:not(.product-in-carousel):not(.hover-width-small):not(.add-small-button) .woodmart-add-btn>a:hover span:not(.woodmart-tooltip-label), .woodmart-hover-button .hover-mask>a:focus span:not(.woodmart-tooltip-label), .woodmart-hover-button .hover-mask>a:hover span:not(.woodmart-tooltip-label), .woodmart-hover-info-alt .product-actions>a:focus span:not(.woodmart-tooltip-label), .woodmart-hover-info-alt .product-actions>a:hover span:not(.woodmart-tooltip-label), .woodmart-hover-quick .woodmart-add-btn>a:focus span:not(.woodmart-tooltip-label), .woodmart-hover-quick .woodmart-add-btn>a:hover span:not(.woodmart-tooltip-label), .woodmart-hover-standard .btn-add>a:focus span:not(.woodmart-tooltip-label), .woodmart-hover-standard .btn-add>a:hover span:not(.woodmart-tooltip-label), .woodmart-price-table .woodmart-plan-footer .add-to-cart-loop:focus span:not(.woodmart-tooltip-label), .woodmart-price-table .woodmart-plan-footer .add-to-cart-loop:hover span:not(.woodmart-tooltip-label) {
    transform: none!important;
}
.product-list-item .woodmart-add-btn>a:before, .woodmart-hover-base:not(.product-in-carousel):not(.hover-width-small):not(.add-small-button) .woodmart-add-btn>a:before, .woodmart-hover-button .hover-mask>a:before, .woodmart-hover-info-alt .product-actions>a:before, .woodmart-hover-quick .woodmart-add-btn>a:before, .woodmart-hover-standard .btn-add>a:before, .woodmart-price-table .woodmart-plan-footer .add-to-cart-loop:before {
    content: none!important;
}

/*Color of Grey Text*/
.woocommerce-price-suffix,
.woocommerce-breadcrumb a,
.widget a,
.wd-widget a,
.wd-products-per-page .per-page-variation,
.widget_product_categories .wd-cats-toggle,
.product_meta>span a,
.product_meta>span span,
.quantity input[type=button], 
.quantity input[type=number],
.pwgc-label,
.pwgc-field-container .pwgc-subtitle,
.pwgc-input-text::-webkit-input-placeholder,
#pwgc-message::-webkit-input-placeholder,
.cart-totals-inner table .cart-subtotal .amount,
td.product-price .amount,
td.product-name p,
ul.variation,
label,
.woocommerce-mini-cart .cart-info .wd-entities-title .wc-gzd-cart-info.delivery-time-info,
.woocommerce-mini-cart .cart-info .wd-entities-title .wc-gzd-cart-info.units-info,
.woocommerce-mini-cart .cart-info .wd-entities-title .wc-gzd-cart-info.wc-gzd-item-desc.item-desc p,
.widget_shopping_cart .product-title p,
.cart_totals table th,
.woocommerce-order-details td.woocommerce-table__product-name.product-name a,
.cart-widget-side span.title.widget-title{
    color: black !important;
}

.cart-content-wrapper .cart-totals-inner,
.shop_table th,
.shop_table td {
    border-color: white;
}


.tabs-layout-tabs .tabs li a,
.woocommerce-tabs .woodmart-accordion-title {
    text-transform: capitalize;
    font-size: 30px;
}

.woocommerce-Tabs-panel.wc-tab {
    line-height: 21px !important;
}

.woocommerce-form-coupon-toggle a.showcoupon {
    color: var(--color-gray-900) !important;
}

.woocommerce-gzd-legal-checkbox-text a {
    text-decoration: underline;
}

span.nav-link-text.wd-tabs-title {
    color: #ff2a7f;
}

.scrollToTop.button-show {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}


/*ENDE Styles aus Theme Options*/

/* Startseite Produkts */
p.price.price-unit.smaller.wc-gzd-additional-info {
    line-height: 1.3;
}

.product-title {
   /* padding-bottom: 40%;*/
}

.cart-widget-side.woodmart-cart-opened .product-title {
    padding-bottom: unset;
}

.pgrid .product-title {
    /*padding-bottom: 100%;*/
}

@media only screen and (max-width: 600px) {
  .pgrid .product-title {
    padding-bottom: 20%;
  }
}

@media only screen and (max-width: 350px) {
   .pgrid .product-title {
    padding-bottom: 35%;
  }
}

.product-title a {
        line-height: 32px !important;
}

/*  Preis/ml  */
.elements-grid p.price.price-unit.smaller.wc-gzd-additional-info {
    display: none;
}

/* Versandkosten link */
span.wc-gzd-additional-info.shipping-costs-info>a {
    color: #ffcd00;
}

p.wc-gzd-additional-info {
    font-size: 13px !important;
    line-height: 1;
    margin: 5px !important;
}

p.wc-gzd-additional-info.wc-gzd-additional-info-loop.shipping-costs-info a {
    font-weight: normal;
    text-decoration: underline;
}

.cart-widget-side.wd-opened {
    background-color: #ff2a7f;
}

.cart-widget-side.woodmart-cart-opened .product-title,
.woocommerce-checkout table th,
.cart_totals table th,
.woocommerce-checkout #order_review_heading,
.woocommerce-checkout #order_payment_heading,
.woocommerce-form__label,
.wrapper-short .product-short-description a {
    font-family: Lato,Arial, Helvetica, sans-serif !important;
}
.woocommerce-Tabs-panel,
.woodmart-hover-base .hover-content-inner p,
.woodmart-hover-base .hover-content-inner   {
    line-height: 18px;
}

.title-line-two .product-grid-item .product-title {
    max-height: 100px;
}

.related-products .title.slider-title {
    text-transform: capitalize;
    font-size: 35px;

}
#wpadminbar a{
    line-height: 2.46153846 !important;
}

ul.cart_list.product_list_widget.woocommerce-mini-cart {
    display: flex;
    flex-direction: column-reverse;
}

.product-grid-item .product-title, .product-information .product-title{
    font-size: 28px !important;
}

/*Update 05.06.2023 */
/*Verifizierter kauf*/
p.wc-gzd-additional-info.wc-gzd-review-authenticity-status.is-unverified {
    color: #830000;
}

p.wc-gzd-additional-info.wc-gzd-review-authenticity-status.is-verified {
    color: #1c7000;
}

.fade-in-block .wd-more-desc .wd-more-desc-btn {
    background-color: var(--bgcolor-white);
}

.wd-hover-with-fade.hover-ready:hover .content-product-imagin {
    box-shadow: 0 0 10px #ffcd00;
    border-color: #ffcd00;
    border: 2px solid #ffcd00 !important;
}



/* -------------------- Änderungen 11.02.2026 - SR -------------------- */
    Produkt-Wrapper Custom-CSS notwendig nach Update.
    Wordpress: 6.9.1 , Woodmart: v.8.3.9 

    Nach Update Übersetzungen neu einstellen:
        LocoTranslate => Plugins => WooCommerce => German

    Gap-Setting von Woocommerce-CSS überschrieben:
        div.product-wrapper gap in functioncs.php eingestellt =>
        .wd-product { --wd-prod-gap: 0 !important; }
/* -------------------------------------------------------------------- */


/* ----- Product Grid ----- */
.product-grid-item .product-wrapper .wd-entities-title { /* product text-margins */
    margin-top: 10px;
    margin-bottom: 5px;
    font-size: 30px;
}
.wd-product.wd-hover-alt .wrap-price { /* product-prices */
    padding: 2.5% 0;
    /* height: 30px !important;
    align-content: center; */
}
.wd-hover-alt .star-rating.wd-style-simple { /* product-wrapper star-rating hidden */
    display: none;
}
@media (max-width: 1024px) { /* produkt-grid small-tablet-view */
    .wd-product span.price {
        font-size: 13px;
        padding-bottom: 8px;
    }
    div.container div.whb-general-header-inner {
        height: 40px;
        max-height: 40px;
    }
}
@media (max-width: 768.98px) { /* produkt-grid small-tablet-view */
    .wd-products-element {
        margin: 2.5%;
    }
    div.wd-product .product-wrapper {
        padding: 10px;
    }
}
@media (max-width: 576px) { /* produkt-grid mobile-view */
    div .product-grid-item {
        width: 100%;
        max-width: 100%;
    }
    .wd-product div .product-wrapper {
        padding: 5px;
    }
}


/* ----- Form Input & Select Fields ----- */
:root { 
    --wd-form-bg: #fff !important;
}


/* ---------- Homepage Product-Wrapper ---------- */
.home .wd-product .product-wrapper p.wc-gzd-additional-info { /* homepage product font-color */
    color: rgba(255, 255, 255, 0.8);
}


/* ---------- Shop/Archive Produkt-Kategorien Product-Wrapper ---------- */
.archive .wd-product .product-wrapper p.wc-gzd-additional-info { /* archive-page product font-color */
    color: #000;
}


/* ---------- Individual Product-Wrapper ---------- */
a.woocommerce-review-link { /* Kundenbewertungen-Link font-color */
    color: rgba(255, 255, 255, 0.6);
}
.woocommerce-product-gallery .woocommerce-product-gallery__image { /* yellow image-frame */
    box-shadow: 0 0 10px #ffcd00;
    border-color: #ffcd00;
    border: 2px solid #ffcd00;
}
div.wd-content-area:not([style*="col-lg:12;"]) .product-tabs-wrapper { /* content-area bg-color */
    background-color: #fff;
}
.related-products .title.slider-title { /* related-products-header */
    font-family: Arial, Helvetica, sans-serif, 'MS Sans Serif', Geneva, sans-serif;
}
div.wd-carousel-item .wd-product .product-wrapper p.wc-gzd-additional-info { /* carousel-item font-color */
    color: #000;
}
div.wd-carousel-item .wd-product.wd-hover-alt .wd-add-btn { /* disable wd-add-btn swap-element */
    display: none;
}
div.wd-carousel-item .wd-product.wd-hover-alt:not(.wd-variation-active) .swap-elements :is(span.price) { /* centering swap-element-text */
    line-height: 1.3;
}
.woocommerce-Reviews .woocommerce-Reviews-title { /* review-count-text */
    text-transform: uppercase !important;
}


/* ---------- Shopping-Cart Sidebar ---------- */
div.cart-widget-side .wd-heading .title,
.woocommerce-mini-cart__empty-message.empty.title { /* empty-cart-font */
    font-family: Arial, Helvetica, sans-serif,
    'MS Sans Serif', Geneva, sans-serif;
}
div.cart-widget-side .wd-heading { /* chopping-cart sidebar-title */
    justify-content: space-between;
}
div.cart-widget-side div.wd-empty-mini-cart:before { /* empty-cart-icon */
    color: var(--color-gray-200);
}


/* ---------- Shopping-Cart Fullpage ---------- */
div.woocommerce .wd-empty-page:before { /* empty-cart-icon fullpage */
    color: var(--color-gray-200);
}
article#post-10 div.woocommerce .wd-empty-page-text { /* empty-cart-text fullpage */
    margin-inline: 0;
    min-width: 100%;
}


/* ---------- Checkout - Rechnungsdetails ---------- */
span.optional { /* optinal-text-font */
    color: #000;
    font-size: 100%;
    top: 0px;
}
tr.cart_item .product-total .amount { /* subtotal-price-text-font */
    color: var(--color-gray-500) !important;
    font-weight: 400;
}
tr.order-total th { /* total-price-text-size */
    font-size: 18px;
}
tr.order-total strong .amount { /* total-price-number-size */
    font-size: 22px !important;
}


/* ---------- Checkout - Checkout-Form ---------- */
form.checkout table.woocommerce-checkout-review-order-table 
tr.wc-gzd-cart-item-has-thumbnail .wc-gzd-cart-item-name-wrapper { /* disables flex */
    display: contents !important;
}
form.checkout td.product-name { /* enables css-grid */
    display: grid;
    grid-template-columns: 70px 1fr auto;
    grid-template-rows: auto auto auto auto;
    column-gap: 10px;
    align-items: start;
}
form.checkout td.product-name .wc-gzd-cart-item-thumbnail { /* cart-thumbnail-column */
    grid-column: 1;
    grid-row: 1 / 5;
}
table.woocommerce-checkout-review-order-table tr.wc-gzd-cart-item-has-thumbnail 
.wc-gzd-cart-item-name-wrapper .wc-gzd-cart-item-thumbnail { /* resize cart-thumbnail */
    margin: 0;
    max-width: 100%;
    min-width: 60px;
}
form.checkout td.product-name a { /* produkt-name-cell */
    grid-column: 2;
    grid-row: 1;
}
form.checkout td.product-name .product-quantity { /* order-quantity-cell */
    grid-column: 3;
    grid-row: 1;
    justify-self: end;
}
form.checkout td.product-name .delivery-time-info { /* delivery-cell */
    grid-column: 2 / 4;
    grid-row: 2;
}
form.checkout td.product-name .units-info { /* product-size-cell */
    grid-column: 2 / 4;
    grid-row: 3;
}
form.checkout td.product-name .item-desc { /* desciption-cell */
    grid-column: 2 / 4;
    grid-row: 4;
}


/* ---------- Account-Page - Nav ---------- */
.wd-builder-off .woocommerce-MyAccount-navigation ul>li.is-active>a,
.wd-builder-off .woocommerce-MyAccount-navigation ul>li>a:hover { /* navigation-hover-effect */
    background-color: var(--bgcolor-gray-300) !important;
    cursor: default;
}


/* ---------- Account-Page - Orders ---------- */
div.woocommerce .woocommerce-MyAccount-content .woocommerce-info { /* moves no-orders-notice */
    position: relative !important;
    transform: none !important;
    animation: none !important;
}
div.woocommerce .woocommerce-MyAccount-content .woocommerce-info:after { /* disables no-orders-notice close-btn */
    display: none;
}
div.woocommerce .woocommerce-MyAccount-content .woocommerce-orders-table__cell-order-number a { /* order-number-styling */
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1.5em;
}
@media (max-width: 768.98px) {
    .shop_table tr :is(td,th):first-child { /* display-order-numbers mobile-view */
        display: block;
    }
}


/* ---------- Account-Page - Address ---------- */
header.woocommerce-Address-title.title>h2 {  /* address-title h2-headers */
    font-family: Arial, Helvetica, sans-serif, 'MS Sans Serif', Geneva, sans-serif;
    color: #ffffff;
    line-height: 1.2;
    text-transform: uppercase;
    font-size: 22px;
    margin-bottom: 0;
}
.woocommerce-Address-title.title { /* resize address-title-gap */
    margin-bottom: 10px;
}
.woocommerce-Address-title a.edit { /* address-links */
    color: var(--color-gray-600);
    font-weight: 600;
    font-size: 12px;
}


/* ---------- Account-Page - Accountdetails ---------- */
fieldset legend { /* change-password-text */
    font-family: Arial, Helvetica, sans-serif, 'MS Sans Serif', Geneva, sans-serif;
}
.show-password-input:before { /* show-password-icon */
    font-weight: 400;
}


/* ---------- Widerrufsbutton - Footer HTML Block ---------- */
.footer-widerruf-btn {
    font-family: Arial, Helvetica, sans-serif,'MS Sans Serif', Geneva, sans-serif;
    font-weight: 600;
    letter-spacing: 0.5px;
}
.footer-widerruf-btn .vc_btn3.vc_btn3-color-grey.vc_btn3-style-modern:hover {
    background-color: #ffcd00;
    border-color: #ffcd00;
}